Bug 887821 - Review Request: nagios-plugins-bonding - Nagios plugin to monitor Linux bonding interfaces
Summary: Review Request: nagios-plugins-bonding - Nagios plugin to monitor Linux bondi...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Johan Swensson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 12:11 UTC by Trond H. Amundsen
Modified: 2014-05-30 23:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-13 16:25:19 UTC
kupo: fedora-review+


Attachments (Terms of Use)

Description Trond H. Amundsen 2012-12-17 12:11:48 UTC
Spec URL: http://folk.uio.no/trondham/review/nagios-plugins-bonding.spec
SRPM URL: http://folk.uio.no/trondham/review/nagios-plugins-bonding-1.3.2-1.el6.src.rpm

Description:
This package contains check_linux_bonding, which is a plugin for
Nagios that checks bonding network interfaces on Linux. The plugin
will report any interfaces that are down (both masters and slaves), as
well as other aspects which may point to a problem with bonded
interfaces.


Fedora Account System Username: trondham

Comment 1 Trond H. Amundsen 2012-12-17 12:27:21 UTC
Scratch-build for f17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4796437

Comment 2 Johan Swensson 2014-01-03 19:16:51 UTC
Wow, this was an old one. :)
If you're still interested I can review this.

Comment 3 Trond H. Amundsen 2014-01-03 19:28:56 UTC
(In reply to Johan Swensson from comment #2)
> Wow, this was an old one. :)

Yeah, I'd almost forgotten it :)

> If you're still interested I can review this.

Yes, I'm still interested. Thanks!

-trond

Comment 4 Johan Swensson 2014-01-06 16:12:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[!]: Buildroot is not present
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

I don't think these should be considered blockers in this case 
due to the fact that you're building for EL5 as well.

[!]: Each %files section contains %defattr if rpm < 4.4
%defattr is not needed anymore, you may drop it during import into git

Ideally the package should have been BuildArch: noarch
But that's not possible as discussed in your other 
package review https://bugzilla.redhat.com/show_bug.cgi?id=743615
You should mention why it's not noarch as a comment in the spec file.
Right above this comment would be a good place for such a comment.
# No binaries here, do not build a debuginfo package
%global debug_package %{nil}

[!]: Uses parallel make %{?_smp_mflags} macro.
Make should always be invoked with %{?_smp_mflags} but in this case 
as there isn't much to be built it should be fine.

[!]: Requires correct, justified where necessary.
You could Require nagios-common, as that is the owner of %_libdir/nagios/plugins/
But as nagios-plugins Requires nagios-common this is not currently a blocker.

APPROVED


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nagios-plugins-bonding-1.3.2-1.fc21.x86_64.rpm
          nagios-plugins-bonding-1.3.2-1.fc21.src.rpm
nagios-plugins-bonding.x86_64: W: spelling-error %description -l en_US linux -> Linux
nagios-plugins-bonding.x86_64: E: no-binary
nagios-plugins-bonding.x86_64: W: only-non-binary-in-usr-lib
nagios-plugins-bonding.src: W: spelling-error %description -l en_US linux -> Linux
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nagios-plugins-bonding
nagios-plugins-bonding.x86_64: W: spelling-error %description -l en_US linux -> Linux
nagios-plugins-bonding.x86_64: E: no-binary
nagios-plugins-bonding.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nagios-plugins-bonding (rpmlib, GLIBC filtered):
    /usr/bin/perl
    nagios-plugins
    perl(Getopt::Long)
    perl(POSIX)
    perl(strict)
    perl(vars)
    perl(warnings)



Provides
--------
nagios-plugins-bonding:
    check_linux_bonding
    nagios-plugins-bonding
    nagios-plugins-bonding(x86-64)



Source checksums
----------------
http://folk.uio.no/trondham/software/files/check_linux_bonding-1.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 4c10b9c6840d70d736d3d18a95c5173624f97d76b9d107cc77b8cd0075ca9963
  CHECKSUM(SHA256) upstream package : 4c10b9c6840d70d736d3d18a95c5173624f97d76b9d107cc77b8cd0075ca9963


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 887821 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 5 Trond H. Amundsen 2014-01-06 20:50:32 UTC
(In reply to Johan Swensson from comment #4)

> [!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [!]: Buildroot is not present
> [!]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> 
> I don't think these should be considered blockers in this case 
> due to the fact that you're building for EL5 as well.

Yes, these are required for EL5, unfortunately.

> [!]: Each %files section contains %defattr if rpm < 4.4
> %defattr is not needed anymore, you may drop it during import into git

I didn't know that, thanks for the tip.

> Ideally the package should have been BuildArch: noarch
> But that's not possible as discussed in your other 
> package review https://bugzilla.redhat.com/show_bug.cgi?id=743615
> You should mention why it's not noarch as a comment in the spec file.
> Right above this comment would be a good place for such a comment.
> # No binaries here, do not build a debuginfo package
> %global debug_package %{nil}

You're right, I should include that in a comment. Noted.

> [!]: Uses parallel make %{?_smp_mflags} macro.
> Make should always be invoked with %{?_smp_mflags} but in this case 
> as there isn't much to be built it should be fine.

The %{?_smp_mflags} won't hurt, either. I'll include it.

> [!]: Requires correct, justified where necessary.
> You could Require nagios-common, as that is the owner of
> %_libdir/nagios/plugins/
> But as nagios-plugins Requires nagios-common this is not currently a blocker.

I guess things have changed slightly since I checked. I checked again to be sure, and it turns out that %_libdir/nagios/plugins/ is provided by nagios-common on EL6 and Fedora, and by nagios-plugins on EL5. I'll fix that with a conditional in the spec file. The package shouldn't require nagios-plugins if it isn't strictly necessary.

> APPROVED

Thank you so much for the review, and for your helpful comments! :)

-trond

Comment 6 Trond H. Amundsen 2014-03-23 11:42:52 UTC
New Package SCM Request
=======================
Package Name: nagios-plugins-bonding
Short Description: Nagios plugin to monitor Linux bonding interfaces
Owners: trondham
Branches: f19 f20 el5 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-03-24 11:54:33 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-05-13 16:26:26 UTC
nagios-plugins-bonding-1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nagios-plugins-bonding-1.4-1.fc20

Comment 9 Fedora Update System 2014-05-13 16:31:41 UTC
nagios-plugins-bonding-1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nagios-plugins-bonding-1.4-1.fc19

Comment 10 Fedora Update System 2014-05-13 16:42:15 UTC
nagios-plugins-bonding-1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-plugins-bonding-1.4-1.el6

Comment 11 Gwyn Ciesla 2014-05-13 16:43:11 UTC
Already exists.

Comment 12 Fedora Update System 2014-05-13 17:02:55 UTC
nagios-plugins-bonding-1.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nagios-plugins-bonding-1.4-1.el5

Comment 13 Fedora Update System 2014-05-30 17:05:39 UTC
nagios-plugins-bonding-1.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 14 Fedora Update System 2014-05-30 17:08:56 UTC
nagios-plugins-bonding-1.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2014-05-30 23:50:21 UTC
nagios-plugins-bonding-1.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-05-30 23:52:29 UTC
nagios-plugins-bonding-1.4-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.